package cn.com.countrygarden.bi.main.dao.experience;

import cn.com.countrygarden.bi.main.dto.experience.TygGzhInfoManageDto;
import cn.com.countrygarden.bi.main.model.experience.TygGzhInfoManage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TygGzhInfoManageMapper {
    TygGzhInfoManage selectById(Integer id);

    void updateById(TygGzhInfoManage tygGzhInfoManage);

    void add(TygGzhInfoManage tygGzhInfoManage);

    List<TygGzhInfoManage> list(TygGzhInfoManageDto tygGzhInfoManageDto);

    int count(TygGzhInfoManageDto tygGzhInfoManageDto);

    void del(String id);

    void updatePersonById(@Param("id")String id, @Param("personInfo")String personInfo2);

    List<TygGzhInfoManage> selectListStatusNoEquals1();

    void update(TygGzhInfoManage tygGzhInfoManage);
}
